## neat-stuff-1.2.5.tar.xz

=== CMakeLists.txt ===
# MELODIC/NorNet Build Scripts
# Copyright (C) 2017-2026 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: dreibh@simula.no

CMAKE_MINIMUM_REQUIRED(VERSION 3.10)
PROJECT(neat-stuff LANGUAGES C)

SET(BUILD_MAJOR "1")
SET(BUILD_MINOR "2")
SET(BUILD_PATCH "5")
SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})


#############################################################################
#### INSTALLATION_DIRECTORIES                                            ####
#############################################################################

# See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
INCLUDE(GNUInstallDirs)


#############################################################################
#### PACKAGING                                                           ####
#############################################################################

SET(CPACK_SOURCE_GENERATOR "TXZ")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME
    "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
SET(CPACK_SOURCE_IGNORE_FILES "\\\\.git;\\\\.swp$;~$;\\\\.\\\\#;/\\\\#")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}[_-]")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "\\\\.cmake$|\\\\.make$|\\\\.log$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/CMakeCache\\\\.txt$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/(CMakeFiles|CMakeScripts|_CPack_Packages)/")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/package-version\\\\.h$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/packaging\\\\.conf$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/(po.*/|src.*/|)Makefile$")
INCLUDE(CPack)

ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} clean package_source)


#############################################################################
#### UNINSTALL                                                           ####
#############################################################################

IF(NOT TARGET uninstall)
   CONFIGURE_FILE(
      "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
      "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
      IMMEDIATE @ONLY)

   ADD_CUSTOM_TARGET(uninstall
      COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
ENDIF()


#############################################################################
#### OS-DEPENDENT                                                        ####
#############################################################################

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include" "/usr/local/opt/openssl/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include" "/usr/local/opt/openssl/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/pkg/include" "/usr/include" "/usr/local/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/pkg/include" "/usr/local/include")

ELSE()
    MESSAGE(FATAL_ERROR ${CMAKE_SYSTEM_NAME} " not supported (yet?)")

ENDIF()


#############################################################################
#### SOURCE DIRECTORIES                                                  ####
#############################################################################

ADD_SUBDIRECTORY(src)

=== src/CMakeLists.txt ===
#############################################################################
#### PROGRAMS                                                            ####
#############################################################################



#############################################################################
#### CONFIGURATION FILES                                                 ####
#############################################################################

INSTALL(PROGRAMS system-info.d/18-neat DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/system-info.d)

INSTALL(PROGRAMS system-maintenance.d/18-neat DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/system-maintenance.d)



#############################################################################
#### SOURCE DIRECTORIES                                                  ####
#############################################################################

ADD_SUBDIRECTORY(background)
ADD_SUBDIRECTORY(grub)

=== src/grub/CMakeLists.txt ===
#############################################################################
#### BOOTLOADER CONFIGURATION FILES                                      ####
#############################################################################

FILE(GLOB themeFiles  "[0-9][0-9]_*_theme")

# NOTE: themes are scripts!
INSTALL(PROGRAMS ${themeFiles} DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/grub.d)
INSTALL(FILES    grub-defaults DESTINATION ${CMAKE_INSTALL_DATADIR}/neat-stuff)

=== debian/changelog ===
neat-stuff (1.2.5-1ubuntu1) resolute; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 10 Dec 2025 11:32:01 +0100

neat-stuff (1.2.4-1ubuntu1) questing; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 23 Jul 2025 11:13:23 +0200

neat-stuff (1.2.3-1ubuntu1) questing; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 11 Jul 2025 12:51:31 +0200

neat-stuff (1.2.2-1ubuntu1) questing; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.7.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Thu, 10 Jul 2025 12:46:56 +0200

neat-stuff (1.2.1-1ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sat, 14 Dec 2024 16:34:36 +0100

neat-stuff (1.2.0-1ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sat, 14 Dec 2024 16:06:49 +0100

neat-stuff (1.1.10-1ubuntu1) hirsute; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Tue, 19 Dec 2023 15:28:21 +0100

neat-stuff (1.1.9-1ubuntu1) hirsute; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 06 Dec 2023 17:27:47 +0100

neat-stuff (1.1.8-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 08 Feb 2023 11:46:33 +0100

neat-stuff (1.1.7-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 11 Sep 2022 13:32:28 +0200

neat-stuff (1.1.6-1ubuntu1) hirsute; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 16 Feb 2022 11:44:59 +0100

neat-stuff (1.1.5-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.0.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 14 Feb 2022 17:15:29 +0100

neat-stuff (1.1.4-1ubuntu1) hirsute; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 14 Jun 2021 12:47:36 +0200

neat-stuff (1.1.3-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.1.0.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 16 Dec 2020 13:46:31 +0100

neat-stuff (1.1.2-1ubuntu1) hirsute; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 15 Nov 2020 18:05:32 +0100

neat-stuff (1.1.1-1ubuntu1) focal; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 09 Oct 2020 16:27:42 +0200

neat-stuff (1.1.0-1ubuntu1) focal; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.3.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 06 Oct 2020 20:50:24 +0200

neat-stuff (1.0.3-1ubuntu1) focal; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.2.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 05 May 2020 13:16:54 +0200

neat-stuff (1.0.2-1ubuntu1) focal; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 24 Apr 2020 12:40:22 +0200

neat-stuff (1.0.1-1ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 21 Jan 2020 12:58:01 +0100

neat-stuff (1.0.0-1ubuntu1) disco; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.4.1.2.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 20 Jan 2020 15:01:34 +0100

neat-stuff (0.9.4-1ubuntu1) disco; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.4.1.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 07 Nov 2019 15:24:06 +0100

neat-stuff (0.9.3-1ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 20 Sep 2019 19:57:49 +0200

neat-stuff (0.9.2-1ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 22 Aug 2019 17:54:44 +0200

neat-stuff (0.9.1-1ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 07 Aug 2019 18:46:06 +0200

neat-stuff (0.9.0-1ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Mon, 05 Aug 2019 16:34:07 +0200

neat-stuff (0.8.5-1ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Fri, 05 Jul 2019 21:22:59 +0200

neat-stuff (0.8.4-1ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Wed, 03 Jul 2019 09:24:20 +0200

neat-stuff (0.8.3-1ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Mon, 17 Jun 2019 17:18:22 +0200

neat-stuff (0.8.2-1ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Wed, 15 May 2019 16:57:04 +0200

neat-stuff (0.8.1-1ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Wed, 06 Mar 2019 16:30:23 +0100

neat-stuff (0.8.0-1ppa1) disco; urgency=high

  * New release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 18 Feb 2019 08:08:08 +0800

neat-stuff (0.7.0-1ppa1) disco; urgency=high

  * New release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 15 Nov 2018 08:08:08 +0800

neat-stuff (0.6.0-1ppa1) disco; urgency=high

  * New release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 15 Nov 2018 08:08:08 +0800

neat-stuff (0.5.0-1ppa1) cosmic; urgency=high

  * New release.



=== debian/control ===
Source: neat-stuff
Section: net
Priority: optional
Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
Homepage: https://www.neat-project.org
Vcs-Git: https://bitbucket.org/dreibh/neat-stuff.git
Vcs-Browser: https://bitbucket.org/dreibh/neat-stuff
Build-Depends: cmake,
               debhelper-compat (= 13),
               fonts-dejavu,
               fonts-noto-cjk,
               fonts-noto-hinted,
               ghostscript,
               gimp,
               graphicsmagick,
               gsfonts,
               libimage-exiftool-perl,
               python3
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: neat-management
Architecture: all
Depends: acl,
         apt-file,
         bash,
         bash-completion,
         bridge-utils,
         bwm-ng,
         bzip2,
         chrpath,
         cloud-guest-utils,
         curl,
         dnsutils,
         ethtool,
         fail2ban,
         gdisk,
         git,
         gnupg,
         gpm,
         htop,
         idn,
         iproute2,
         iptables,
         iputils-ping,
         joe,
         jq,
         less,
         make,
         man,
         net-tools,
         netperfmeter,
         nmap,
         openssh-server,
         openssl,
         parallel,
         pwgen,
         python3,
         qt6-linguist | qtbase5-dev,
         qt6-qtbase-devel | qtbase5-dev,
         rsplib-tools,
         rsync,
         subnetcalc,
         sudo,
         tcpdump,
         traceroute,
         tree,
         tsctp,
         tshark,
         unzip,
         uuid,
         virt-what,
         wget,
         zip,
         ${misc:Depends}
Recommends: grub2-common,
            language-pack-de-base,
            language-pack-en-base,
            language-pack-nb-base,
            td-system-configure-grub,
            td-system-tools
Description: Management tools for the NEAT system environment
 This metapackage contains basic software for NEAT system management.
 The software installed provides a common working environment.
 .
 See https://www.neat-project.org for details on NEAT!

Package: neat-development
Architecture: all
Depends: autoconf,
         automake,
         bc,
         bison,
         build-essential,
         clang,
         cmake,
         debhelper,
         devscripts,
         distro-info,
         dpkg-dev,
         extra-cmake-modules,
         flex,
         fonts-dejavu,
         fonts-noto,
         fonts-open-sans,
         fonts-urw-base35,
         g++,
         gcc,
         gdb,
         ghostscript,
         git-lfs,
         graphicsmagick,
         gsfonts,
         libboost-all-dev,
         libbz2-dev,
         libc-ares-dev,
         libcurl4-openssl-dev,
         libgeoip-dev,
         libimage-exiftool-perl,
         libjansson-dev,
         libldns-dev,
         liblzma-dev,
         libmnl-dev,
         libsctp-dev,
         libssl-dev,
         libuv1-dev (>= 1.0.2),
         manpages-dev,
         pbuilder,
         pdf2svg,
         pkg-config,
         python3-dev (>= 3.7) | python3.7-dev,
         python3-distro,
         python3-netifaces,
         python3-pip,
         r-base,
         reprepro,
         shellcheck,
         neat-management (= ${binary:Version}),
         swig,
         tidy,
         zlib1g-dev,
         ${misc:Depends}
Recommends: qt6-base-dev,
            qt6-l10n-tools,
            ubuntu-dev-tools,
            valgrind,
            yamllint
Description: Development tools for the NEAT system environment
 This metapackage contains basic software for NEAT development.
 The software installed provides a common working environment.
 .
 See https://www.neat-project.org for details on NEAT!

Package: neat-desktop
Architecture: all
Depends: firefox | firefox-esr,
         kubuntu-desktop | neon-desktop | kde-standard | deepin-desktop-environment | lubuntu-desktop | ubuntu-desktop,
         neat-management (= ${binary:Version}),
         sddm | kdm | lightdm | gdm3,
         ${misc:Depends}
Recommends: fractgen
Description: Desktop setup for the NEAT system environment
 This metapackage contains the scripts to configure a NEAT desktop.
 .
 See https://www.neat-project.org for details on NEAT!

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	# NOTE: CMAKE_VERBOSE_MAKEFILE=OFF for reduced log output!
	dh_auto_configure -- -DCMAKE_VERBOSE_MAKEFILE=OFF

# Use upstream ChangeLog for installation
override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://packages.nntb.no/software/neat-stuff  neat-stuff-(.*)\.tar\.xz
